Linux.com

Home

The package module-init-tools causes problem...

Article Source About GNU/Linux
February 14, 2009, 8:47 am

During an upgrade of a system (changing of the version of a distribution), we can get problems with a few packages, for example, with a package and its dependencies, or aptitude/apt that doesn't manage to upgrade any package. I was confronted to that last case, with the package module-init-tools. This package is in priority in debian, but not by default, anyway, like with any package, it's better to have no broken package.

So, here are errors I got :

Setting up module-init-tools (3.4-1) ...
dpkg-divert: rename involves overwriting `/sbin/lsmod' with.
different file `/sbin/lsmod.Lmodutils', not allowed.
dpkg: error processing module-init-tools (--configure):.
subprocess post-installation script returned error exit status 2.
dpkg: dependency problems prevent configuration of initramfs-tools:.
initramfs-tools depends on module-init-tools; however:.
Package module-init-tools is not configured yet..
dpkg: error processing initramfs-tools (--configure):.
dependency problems - leaving unconfigured

I read a few bugs reports but no one offered correct solutions. Therefore, I tested some solutions, and I found one solution that is to delete the file /sbin/lsmod.Lmodutils, but, I got the same errors for the files /sbin/rmmod.Lmodutils and /sbin/modprobe.Lmodutils, too, I removed these files.

I'm going to answer to this bug to tell I also had that problem. (to tell to the bug's author he is not alone with that problem).

Origin : about-gnulinux.info

 

Comments

Subscribe to Comments Feed

Who we are ?

The Linux Foundation is a non-profit consortium dedicated to the growth of Linux.

More About the foundation...

Frequent Questions

Join / Linux Training / Board